Bug 660035 - Wrong module version in netcdf.mod
Summary: Wrong module version in netcdf.mod
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netcdf
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ed Hill
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-05 05:24 UTC by Matthew West
Modified: 2010-12-12 20:05 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-12 20:05:46 UTC


Attachments (Terms of Use)
Test program, compile with "gfortran -I /usr/lib64/gfortran/modules test_netcdf.f90" (57 bytes, application/octet-stream)
2010-12-05 05:24 UTC, Matthew West
no flags Details

Description Matthew West 2010-12-05 05:24:11 UTC
Created attachment 464800 [details]
Test program, compile with "gfortran -I /usr/lib64/gfortran/modules test_netcdf.f90"

Description of problem:

Compiling a Fortran 90 program that uses the NetCDF module netcdf.mod fails with a "Wrong module version" error. This is probably because the netcdf package was compiled with gfortran 4.4.3 (if I understand the koji logs [1] correctly), whereas the current version of gfortran in Fedora 14 is 4.5.1.

This should be fixed by rebuilding the package.

[1] http://kojipkgs.fedoraproject.org/packages/netcdf/4.1.1/3.fc14/data/logs/x86_64/root.log


Version-Release number of selected component (if applicable):

netcdf-devel-4.1.1-3.fc14.x86_64
gcc-gfortran-4.5.1-4.fc14.x86_64


How reproducible: Always


Steps to Reproduce:

1. Make the file test_netcdf.f90 (also attached) containing:
program test_netcdf
  use netcdf
end program test_netcdf

2. Run the command:
gfortran -I /usr/lib64/gfortran/modules test_netcdf.f90

  
Actual results:

test_netcdf.f90:2.12:

  use netcdf
            1
Fatal Error: Wrong module version '0' (expected '4') for file 'netcdf.mod' opened at (1)


Expected results:

Compiling succeeds.


Additional info:

Comment 1 Matthew West 2010-12-05 05:39:27 UTC
Sorry for the additional noise, but I just checked in the source of gcc-fortran-4.4.3 and gcc-fortran-4.5.1 as distributed from GNU and the MOD_VERSION has indeed changed from '0' to '4' between these two versions.

I'm thus pretty confident that a simple rebuild is all that's necessary.

Matt.

Comment 2 Jef Spaleta 2010-12-06 04:21:16 UTC
Do these rebuild packages fix it for you?

http://koji.fedoraproject.org/koji/taskinfo?taskID=2646029

Comment 3 Matthew West 2010-12-06 07:05:41 UTC
Yes, that fixes it just fine.

My Fortran code compiles and links fine against this new build of netcdf, and passes its own test-cases (which are very reliant on netcdf).

Thanks for the fast response!

Matt.

Comment 4 Fedora Update System 2010-12-06 08:35:49 UTC
netcdf-4.1.1-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/netcdf-4.1.1-5.fc14

Comment 5 Fedora Update System 2010-12-06 19:57:51 UTC
netcdf-4.1.1-5.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update netcdf'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/netcdf-4.1.1-5.fc14

Comment 6 Fedora Update System 2010-12-12 20:05:41 UTC
netcdf-4.1.1-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.